<% local form, viewlibrary, page_info = ... %>
<% htmlviewfunctions = require("htmlviewfunctions") %>
<% html = require("acf.html") %>

<H1>Logfile</H1>
<H2>File Details</H2>
<DL>
<% 
htmlviewfunctions.displayitem(form.value.filename)
htmlviewfunctions.displayitem(form.value.filesize)
htmlviewfunctions.displayitem(form.value.mtime)
--if form.value.grep.value ~= "" then
--	htmlviewfunctions.displayitem(form.value.grep)
--end
%>
</DL>

<H2>File Content</H2>

<DL>
<% if form.type == "form" then %>
<% form.action = page_info.script .. page_info.prefix .. page_info.controller .. "/" .. page_info.action %>
<% htmlviewfunctions.displayformstart(form) %>
<input type="hidden" name="filename" value="<%= html.html_escape(form.value.filename.value) %>">
<% end %>
<textarea name="filecontent">
<%= html.html_escape(form.value.filecontent.value) %>
</textarea>
<% if form.value.filecontent.errtxt then %><P CLASS='error'><%= string.gsub(html.html_escape(form.value.filecontent.errtxt), "\n", "<BR>") %></P><% end %>
<% if form.value.filecontent.descr then %><P CLASS='descr'><%= string.gsub(html.html_escape(form.value.filecontent.descr), "\n", "<BR>") %></P><% end %>

<% if form.type == "form" then %>
<% htmlviewfunctions.displayformend(form) %>
<% end %>
</form>
</DL>

<% 
--[[
print("<H2>Debug info for page '"..tostring(page_info.action).."'</H2>")
--form["value"]["filecontent"]["value"]=nil
print("<H3>form</H3>") 
print(htmlviewfunctions.cfe_unpack(form)) 
print("<H3>viewlibrary</H3>") 
print(htmlviewfunctions.cfe_unpack(viewlibrary)) 
print("<H3>page_info</H3>") 
print(htmlviewfunctions.cfe_unpack(page_info)) 
print("<H3>session</H3>") 
print(htmlviewfunctions.cfe_unpack(session)) 
--]]
%>
